MyGUI: MyGUI::FontManager Class Reference

MyGUI 3.2.2

Public Member Functions
MyGUI::FontManager Class Reference

`#include <MyGUI_FontManager.h>`

Inheritance diagram for MyGUI::FontManager:
[legend]

## Public Member Functions
| FontManager ()
void | initialise ()
void | shutdown ()
const std::string & | getDefaultFont () const
void | setDefaultFont (const std::string &_value)
IFont * | getByName (const std::string &_name) const
Public Member Functions inherited from MyGUI::Singleton< FontManager >
| Singleton ()
virtual | ~Singleton ()
Public Member Functions inherited from MyGUI::MemberObsolete< FontManager >
bool | load (const std::string &_file)
void | loadOldFontFormat (xml::ElementPtr _node, const std::string &_file, Version _version, const std::string &_tag)

## Additional Inherited Members
Public Types inherited from MyGUI::Singleton< FontManager >
typedef Singleton< FontManager > | Base
Static Public Member Functions inherited from MyGUI::Singleton< FontManager >
static FontManager & | getInstance ()
static FontManager * | getInstancePtr ()
static const char * | getClassTypeName ()

## Detailed Description

Definition at line 21 of file MyGUI_FontManager.h.

## Constructor & Destructor Documentation

## ◆ FontManager()

MyGUI::FontManager::FontManager | ( |  | ) |

Definition at line 21 of file MyGUI_FontManager.cpp.

## Member Function Documentation

## ◆ getByName()

IFont * MyGUI::FontManager::getByName | ( | const std::string & | _name | ) | const

Get font resource

Definition at line 89 of file MyGUI_FontManager.cpp.

## ◆ getDefaultFont()

const std::string & MyGUI::FontManager::getDefaultFont | ( |  | ) | const

Get default font name. Default skin also used when creating widget with skin that doesn't exist.

Definition at line 108 of file MyGUI_FontManager.cpp.

## ◆ initialise()

void MyGUI::FontManager::initialise | ( |  | ) |

Definition at line 29 of file MyGUI_FontManager.cpp.

## ◆ setDefaultFont()

void MyGUI::FontManager::setDefaultFont | ( | const std::string & | _value | ) |

Get default font name. Default skin also used when creating widget with skin that doesn't exist.

Definition at line 84 of file MyGUI_FontManager.cpp.

## ◆ shutdown()

void MyGUI::FontManager::shutdown | ( |  | ) |

Definition at line 46 of file MyGUI_FontManager.cpp.

The documentation for this class was generated from the following files:

- MyGUI_FontManager.h
- MyGUI_FontManager.cpp